org.apache.lucene.analysis

## Interface BaseTokenStreamTestCase.CheckClearAttributesAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl

Enclosing class:
  BaseTokenStreamTestCase

    public static interface BaseTokenStreamTestCase.CheckClearAttributesAttribute
    extends Attribute

Attribute that records if it was cleared or not. This is used for testing that clearAttributes() was called correctly.

### Method Summary

Methods
`boolean` `getAndResetClearCalled()`

### Method Detail

#### getAndResetClearCalled

    boolean getAndResetClearCalled()